<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFSheetXMLHandler.SheetContentsHandler (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFSheetXMLHandler.SheetContentsHandler (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":18,"i3":18,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],16:["t5","Default Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFSheetXMLHandler.SheetContentsHandler.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li>
            <a href="../../../../../index.html?org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFSheetXMLHandler.SheetContentsHandler.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.eventusermodel</div>
    <h2 title="Interface XSSFSheetXMLHandler.SheetContentsHandler" class="title">Interface
        XSSFSheetXMLHandler.SheetContentsHandler</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/binary/XSSFBSheetHandler.SheetContentsHandler.html"
                           title="interface in org.apache.poi.xssf.binary">XSSFBSheetHandler.SheetContentsHandler</a>
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd>
                        <a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.SheetTextExtractor.html"
                           title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor.SheetTextExtractor</a>
                    </dd>
                </dl>
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html"
                           title="class in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static interface <span class="typeNameLabel">XSSFSheetXMLHandler.SheetContentsHandler</span></pre>
                <div class="block">You need to implement this to handle the results
                    of the sheet parsing.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t5" class="tableTab"><span><a
                                    href="javascript:show(16);">Default Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html#cell-java.lang.String-java.lang.String-org.apache.poi.xssf.usermodel.XSSFComment-">cell</a></span>(java.lang.String&nbsp;cellReference,
                                    java.lang.String&nbsp;formattedValue,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html"
                                       title="class in org.apache.poi.xssf.usermodel">XSSFComment</a>&nbsp;comment)</code>
                                    <div class="block">A cell, with the given formatted value (may be null),
                                        and possibly a comment (may be null), was encountered.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html#endRow-int-">endRow</a></span>(int&nbsp;rowNum)</code>
                                    <div class="block">A row with the (zero based) row number has ended</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>default void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html#endSheet--">endSheet</a></span>()</code>
                                    <div class="block">Signal that the end of a sheet was been reached</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>default void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html#headerFooter-java.lang.String-boolean-java.lang.String-">headerFooter</a></span>(java.lang.String&nbsp;text,
                                    boolean&nbsp;isHeader,
                                    java.lang.String&nbsp;tagName)</code>
                                    <div class="block">A header or footer has been encountered</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html#startRow-int-">startRow</a></span>(int&nbsp;rowNum)</code>
                                    <div class="block">A row with the (zero based) row number has started</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="startRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>startRow</h4>
                                <pre>void&nbsp;startRow(int&nbsp;rowNum)</pre>
                                <div class="block">A row with the (zero based) row number has started</div>
                            </li>
                        </ul>
                        <a name="endRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>endRow</h4>
                                <pre>void&nbsp;endRow(int&nbsp;rowNum)</pre>
                                <div class="block">A row with the (zero based) row number has ended</div>
                            </li>
                        </ul>
                        <a name="cell-java.lang.String-java.lang.String-org.apache.poi.xssf.usermodel.XSSFComment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cell</h4>
                                <pre>void&nbsp;cell(java.lang.String&nbsp;cellReference,
          java.lang.String&nbsp;formattedValue,
          <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html"
             title="class in org.apache.poi.xssf.usermodel">XSSFComment</a>&nbsp;comment)</pre>
                                <div class="block">A cell, with the given formatted value (may be null),
                                    and possibly a comment (may be null), was encountered.

                                    Sheets that have missing or empty cells may result in
                                    sparse calls to <code>cell</code>. See the code in
                                    <code>src/examples/src/org/apache/poi/xssf/eventusermodel/XLSX2CSV.java</code>
                                    for an example of how to handle this scenario.
                                </div>
                            </li>
                        </ul>
                        <a name="headerFooter-java.lang.String-boolean-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>headerFooter</h4>
                                <pre>default&nbsp;void&nbsp;headerFooter(java.lang.String&nbsp;text,
                          boolean&nbsp;isHeader,
                          java.lang.String&nbsp;tagName)</pre>
                                <div class="block">A header or footer has been encountered</div>
                            </li>
                        </ul>
                        <a name="endSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>endSheet</h4>
                                <pre>default&nbsp;void&nbsp;endSheet()</pre>
                                <div class="block">Signal that the end of a sheet was been reached</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFSheetXMLHandler.SheetContentsHandler.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li>
            <a href="../../../../../index.html?org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFSheetXMLHandler.SheetContentsHandler.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
